global:
  appConfig:
    enableUsagePing: false
  imagePullPolicy: Always
  ingress:
    annotations:
      external-dns.alpha.kubernetes.io/ttl: 10
    configureCertmanager: false
    tls:
      secretName: tls-cert
certmanager:
  install: false
gitlab:
  gitaly:
    resources:
      requests:
        cpu: 300m
        memory: 200M
      limits:
        cpu: 600m
        memory: 420M
    persistence:
      size: 10G
  gitlab-exporter:
    enabled: false
  mailroom:
    enabled: false
  migrations:
    resources:
      requests:
        cpu: 350m
        memory: 200M
      limits:
        cpu: 700m
  gitlab-shell:
    resources:
      requests:
        cpu: 70m
        memory: 20M
      limits:
        cpu: 140m
        memory: 40M
    maxReplicas: 3
    hpa:
      targetAverageValue: 130m
  sidekiq:
    resources:
      requests:
        cpu: 300m
        memory: 800M
      limits:
        cpu: 400m
        memory: 1.6G
  task-runner:
    resources:
      requests:
        cpu: 50m
        memory: 350M
      limits:
        cpu: 100m
        memory: 700M
  unicorn:
    resources:
      requests:
        cpu: 600m
        memory: 1.4G
      limits:
        cpu: 1.2G
        memory: 2.8G
    deployment:
      readinessProbe:
        initialDelaySeconds: 5  # Default is 0
        periodSeconds: 15  # Default is 10
        timeoutSeconds: 5  # Default is 2
    workhorse:
      resources:
        requests:
          cpu: 100m
          memory: 100M
        limits:
          cpu: 200m
          memory: 200M
      readinessProbe:
        initialDelaySeconds: 5  # Default is 0
        periodSeconds: 15  # Default is 10
        timeoutSeconds: 5  # Default is 2
gitlab-runner:
  resources:
    requests:
      cpu: 300m
      memory: 300M
    limits:
      cpu: 600m
      memory: 600M
minio:
  resources:
    requests:
      cpu: 100m
      memory: 128M
    limits:
      cpu: 200m
      memory: 280M
nginx-ingress:
  controller:
    config:
      ssl-ciphers: ECDHE-ECDSA-AES128-GCM-SHA256:ECDHE-RSA-AES256-GCM-SHA384:ECDHE-RSA-AES128-GCM-SHA256:ECDHE-RSA-AES256-SHA384:ECDHE-RSA-AES128-SHA256:ECDHE-RSA-AES256-SHA:ECDHE-RSA-AES128-SHA:AES256-GCM-SHA384:AES128-GCM-SHA256:AES256-SHA256:AES128-SHA256:AES256-SHA:AES128-SHA:!aNULL:!eNULL:!EXPORT:!DES:!MD5:!PSK:!RC4
    replicaCount: 2
    resources:
      requests:
        cpu: 150m
        memory: 250M
      limits:
        cpu: 300m
        memory: 500M
    minAvailable: 1
    service:
      enableHttp: false
    livenessProbe:
      timeoutSeconds: 5
    readinessProbe:
      timeoutSeconds: 5
  defaultBackend:
    resources:
      requests:
        cpu: 5m
        memory: 12M
      limits:
        cpu: 10m
        memory: 24M
    replicaCount: 1
postgresql:
  metrics:
    enabled: false
  resources:
    requests:
      cpu: 250m
      memory: 256M
    limits:
      cpu: 500m
prometheus:
  install: false
redis:
  metrics:
    resources:
      enabled: false
  resources:
    requests:
      cpu: 100m
      memory: 60M
    limits:
      cpu: 200m
      memory: 130M
redis-ha:
  enabled: false
registry:
  minReplicas: 1
  resources:
    requests:
      cpu: 50m
      memory: 32M
    limits:
      cpu: 100m
      memory: 64M
